jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.woodworking-workshop-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'woodworking_workshop_dismiss_notice'
        });
    });
});